# CryoSparc Merlin scripts

This repository collects cryosparc 'lanes' suitable for running jobs at PSI.

## Lanes

- *merlin6*. Default lane. 7 day time limit, uses all resources.
- *merlin6-big*. Requests exclusive node usage, with full memory. If GPUs are
  needed, requests 4 GPUs with 11GB of video memory
- *merlin6-short*. Short requests. 1 hour time limit.

## Installing

This repo can be cloned using git on merlin. Typically this is done from your
cryosparc install directory (`/data/user/<user>/cryosparc/`), although this
isn't required.`

    git clone https://git.psi.ch/lsm-hpce/merlin-cryosparc.git config

Next, all `cluster_info.json` scripts need to be modified to include the correct
worker path by replacing `USERNAME`.

Finally, connect the newly modified scripts to cryosparc. This should be done
on same machine cryosparc runs on. To connect all lanes:

    ./connect_all.sh

Alternately, you can install individual lanes manually:

    cd <lane>
    cryosparcm cluster connect

## Updating

Scripts are updated regularly with features and bug fixes. To get the newest
version, update git:

    git pull

Then, connect the lanes to your cryosparc cluster as in installation:

    ./connect_all.sh

## References

- [PSI CryoSparc docs](https://intranet.psi.ch/BIO/ComputingCryoSPARC)
- [CryoSparc installation](https://cryosparc.com/docs/reference/install/)
